import sys
import os
import shutil
from osgeo import ogr, osr

def get_location(feature):
    geometry = feature.GetGeometryRef()
    x = geometry.GetX() #### Causes Crash
    y = geometry.GetY()
    return x,y

### my workaround ... to get it to work
##def get_location(feature):
##    s = feature.ExportToJson()
##    c = s[s.find('[')+1 : s.find(']')].split(',')
##    x,y = float(c[0]),float(c[1])
##    return x,y

# read input
inputshp = 'IOW_Fire_Hydrants.shp'
datasource = ogr.GetDriverByName('ESRI Shapefile').Open(inputshp)
if datasource is None:
    print 'Could not open ' + inputshp
    sys.exit(-1)
inlayer = datasource.GetLayer()
get_location(inlayer.GetFeature(1))  
